projects
/
openwrt.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
lua: Fixed some cross-platform issues for PPC (and probably other architectures)
[openwrt.git]
/
target
/
linux
/
generic-2.6
/
patches-2.6.24
/
209-mini_fo.patch
diff --git
a/target/linux/generic-2.6/patches-2.6.24/209-mini_fo.patch
b/target/linux/generic-2.6/patches-2.6.24/209-mini_fo.patch
index
b427f6e
..
f316cbb
100644
(file)
--- a/
target/linux/generic-2.6/patches-2.6.24/209-mini_fo.patch
+++ b/
target/linux/generic-2.6/patches-2.6.24/209-mini_fo.patch
@@
-1,8
+1,6
@@
-Index: linux-2.6.24.7/fs/Kconfig
-===================================================================
---- linux-2.6.24.7.orig/fs/Kconfig
-+++ linux-2.6.24.7/fs/Kconfig
-@@ -468,6 +468,9 @@ config OCFS2_DEBUG_FS
+--- a/fs/Kconfig
++++ b/fs/Kconfig
+@@ -468,6 +468,9 @@
this option for debugging only as it is likely to decrease
performance of the filesystem.
this option for debugging only as it is likely to decrease
performance of the filesystem.
@@
-12,11
+10,9
@@
Index: linux-2.6.24.7/fs/Kconfig
config MINIX_FS
tristate "Minix fs support"
help
config MINIX_FS
tristate "Minix fs support"
help
-Index: linux-2.6.24.7/fs/Makefile
-===================================================================
---- linux-2.6.24.7.orig/fs/Makefile
-+++ linux-2.6.24.7/fs/Makefile
-@@ -76,6 +76,7 @@ obj-$(CONFIG_SQUASHFS) += squashfs/
+--- a/fs/Makefile
++++ b/fs/Makefile
+@@ -76,6 +76,7 @@
obj-y += ramfs/
obj-$(CONFIG_HUGETLBFS) += hugetlbfs/
obj-$(CONFIG_CODA_FS) += coda/
obj-y += ramfs/
obj-$(CONFIG_HUGETLBFS) += hugetlbfs/
obj-$(CONFIG_CODA_FS) += coda/
@@
-24,10
+20,8
@@
Index: linux-2.6.24.7/fs/Makefile
obj-$(CONFIG_MINIX_FS) += minix/
obj-$(CONFIG_FAT_FS) += fat/
obj-$(CONFIG_MSDOS_FS) += msdos/
obj-$(CONFIG_MINIX_FS) += minix/
obj-$(CONFIG_FAT_FS) += fat/
obj-$(CONFIG_MSDOS_FS) += msdos/
-Index: linux-2.6.24.7/fs/mini_fo/aux.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/aux.c
++++
b
/fs/mini_fo/aux.c
@@ -0,0 +1,577 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,577 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-606,10
+600,8
@@
Index: linux-2.6.24.7/fs/mini_fo/aux.c
+
+#endif /* unused */
+
+
+#endif /* unused */
+
-Index: linux-2.6.24.7/fs/mini_fo/ChangeLog
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/ChangeLog
++++
b
/fs/mini_fo/ChangeLog
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@
-892,10
+884,8
@@
Index: linux-2.6.24.7/fs/mini_fo/ChangeLog
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
-Index: linux-2.6.24.7/fs/mini_fo/dentry.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/dentry.c
++++
b
/fs/mini_fo/dentry.c
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-1141,10
+1131,8
@@
Index: linux-2.6.24.7/fs/mini_fo/dentry.c
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
-Index: linux-2.6.24.7/fs/mini_fo/file.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/file.c
++++
b
/fs/mini_fo/file.c
@@ -0,0 +1,713 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,713 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-1859,10
+1847,8
@@
Index: linux-2.6.24.7/fs/mini_fo/file.c
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
-Index: linux-2.6.24.7/fs/mini_fo/fist.h
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/fist.h
++++
b
/fs/mini_fo/fist.h
@@ -0,0 +1,252 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,252 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-2116,10
+2102,8
@@
Index: linux-2.6.24.7/fs/mini_fo/fist.h
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
-Index: linux-2.6.24.7/fs/mini_fo/inode.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/inode.c
++++
b
/fs/mini_fo/inode.c
@@ -0,0 +1,1564 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,1564 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-3685,10
+3669,8
@@
Index: linux-2.6.24.7/fs/mini_fo/inode.c
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
-Index: linux-2.6.24.7/fs/mini_fo/main.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/main.c
++++
b
/fs/mini_fo/main.c
@@ -0,0 +1,423 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,423 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-4113,10
+4095,8
@@
Index: linux-2.6.24.7/fs/mini_fo/main.c
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
-Index: linux-2.6.24.7/fs/mini_fo/Makefile
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/Makefile
++++
b
/fs/mini_fo/Makefile
@@ -0,0 +1,17 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@ -0,0 +1,17 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@
-4135,10
+4115,8
@@
Index: linux-2.6.24.7/fs/mini_fo/Makefile
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
-Index: linux-2.6.24.7/fs/mini_fo/meta.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/meta.c
++++
b
/fs/mini_fo/meta.c
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@
-5140,10
+5118,8
@@
Index: linux-2.6.24.7/fs/mini_fo/meta.c
+ return 0;
+}
+
+ return 0;
+}
+
-Index: linux-2.6.24.7/fs/mini_fo/mini_fo.h
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/mini_fo.h
++++
b
/fs/mini_fo/mini_fo.h
@@ -0,0 +1,510 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,510 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-5655,10
+5631,8
@@
Index: linux-2.6.24.7/fs/mini_fo/mini_fo.h
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
-Index: linux-2.6.24.7/fs/mini_fo/mini_fo-merge
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/mini_fo-merge
++++
b
/fs/mini_fo/mini_fo-merge
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@
-5840,10
+5814,8
@@
Index: linux-2.6.24.7/fs/mini_fo/mini_fo-merge
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
-Index: linux-2.6.24.7/fs/mini_fo/mini_fo-overlay
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/mini_fo-overlay
++++
b
/fs/mini_fo/mini_fo-overlay
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@
-5975,10
+5947,8
@@
Index: linux-2.6.24.7/fs/mini_fo/mini_fo-overlay
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
-Index: linux-2.6.24.7/fs/mini_fo/mmap.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/mmap.c
++++
b
/fs/mini_fo/mmap.c
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-6617,10
+6587,8
@@
Index: linux-2.6.24.7/fs/mini_fo/mmap.c
+ print_exit_status(err);
+ return err;
+}
+ print_exit_status(err);
+ return err;
+}
-Index: linux-2.6.24.7/fs/mini_fo/README
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/README
++++
b
/fs/mini_fo/README
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@
-6785,10
+6753,8
@@
Index: linux-2.6.24.7/fs/mini_fo/README
+2 of the License, or (at your option) any later version.
+
+
+2 of the License, or (at your option) any later version.
+
+
-Index: linux-2.6.24.7/fs/mini_fo/RELEASE_NOTES
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/RELEASE_NOTES
++++
b
/fs/mini_fo/RELEASE_NOTES
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@
-6901,10
+6867,8
@@
Index: linux-2.6.24.7/fs/mini_fo/RELEASE_NOTES
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
-Index: linux-2.6.24.7/fs/mini_fo/state.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/state.c
++++
b
/fs/mini_fo/state.c
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@
-7526,10
+7490,8
@@
Index: linux-2.6.24.7/fs/mini_fo/state.c
+ return err;
+}
+
+ return err;
+}
+
-Index: linux-2.6.24.7/fs/mini_fo/super.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.6.24.7
/fs/mini_fo/super.c
++++
b
/fs/mini_fo/super.c
@@ -0,0 +1,281 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,281 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
This page took
0.029561 seconds
and
4
git commands to generate.